Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
evaluationJobs
List Evaluation Jobs
curl --request GET \
  --url https://api.fireworks.ai/v1/accounts/{account_id}/evaluationJobs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fireworks.ai/v1/accounts/{account_id}/evaluationJobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fireworks.ai/v1/accounts/{account_id}/evaluationJobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "evaluationJobs": [
    {
      "evaluator": "<string>",
      "inputDataset": "<string>",
      "outputDataset": "<string>",
      "name": "<string>",
      "displayName": "<string>",
      "createTime": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "state": "JOB_STATE_UNSPECIFIED",
      "status": {
        "code": "OK",
        "message": "<string>"
      },
      "metrics": {},
      "outputStats": "<string>",
      "updateTime": "2023-11-07T05:31:56Z",
      "awsS3Config": {
        "credentialsSecret": "<string>",
        "iamRoleArn": "<string>"
      }
    }
  ],
  "nextPageToken": "<string>",
  "totalSize": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

Query Parameters

pageSize
integer<int32>
pageToken
string
filter
string
orderBy
string
readMask
string

The fields to be returned in the response. If empty or "*", all fields will be returned.

Response

200 - application/json

A successful response.

evaluationJobs
object[]
nextPageToken
string
totalSize
integer<int32>